OpenMesh: OpenMesh::SmartVertexHandle Struct Reference

| OpenMesh

Public Member Functions | List of all members
OpenMesh::SmartVertexHandle Struct Reference

Smart version of VertexHandle contains a pointer to the corresponding mesh and allows easier access to navigation methods. More...

`#include <OpenMesh/Core/Mesh/SmartHandles.hh>`

Inheritance diagram for OpenMesh::SmartVertexHandle:
[legend]
Collaboration diagram for OpenMesh::SmartVertexHandle:
[legend]

## Public Member Functions
| SmartVertexHandle (int _idx=-1, const PolyConnectivity *_mesh=nullptr)
SmartHalfedgeHandle | out () const
| Returns an outgoing halfedge.
SmartHalfedgeHandle | halfedge () const
| Returns an outgoing halfedge.
SmartHalfedgeHandle | in () const
| Returns an incoming halfedge.
PolyConnectivity::ConstVertexFaceRange | faces () const
| Returns a range of faces incident to the vertex (PolyConnectivity::vf_range())
PolyConnectivity::ConstVertexFaceCWRange | faces_cw () const
| Returns a range of faces incident to the vertex (PolyConnectivity::vf_cw_range())
PolyConnectivity::ConstVertexFaceCCWRange | faces_ccw () const
| Returns a range of faces incident to the vertex (PolyConnectivity::vf_ccw_range())
PolyConnectivity::ConstVertexEdgeRange | edges () const
| Returns a range of edges incident to the vertex (PolyConnectivity::ve_range())
PolyConnectivity::ConstVertexEdgeCWRange | edges_cw () const
| Returns a range of edges incident to the vertex (PolyConnectivity::ve_cw_range())
PolyConnectivity::ConstVertexEdgeCCWRange | edges_ccw () const
| Returns a range of edges incident to the vertex (PolyConnectivity::ve_ccw_range())
PolyConnectivity::ConstVertexVertexRange | vertices () const
| Returns a range of vertices adjacent to the vertex (PolyConnectivity::vv_range())
PolyConnectivity::ConstVertexVertexCWRange | vertices_cw () const
| Returns a range of vertices adjacent to the vertex (PolyConnectivity::vv_cw_range())
PolyConnectivity::ConstVertexVertexCCWRange | vertices_ccw () const
| Returns a range of vertices adjacent to the vertex (PolyConnectivity::vv_ccw_range())
PolyConnectivity::ConstVertexIHalfedgeRange | incoming_halfedges () const
| Returns a range of outgoing halfedges incident to the vertex (PolyConnectivity::voh_range())
PolyConnectivity::ConstVertexIHalfedgeCWRange | incoming_halfedges_cw () const
| Returns a range of outgoing halfedges incident to the vertex (PolyConnectivity::voh_cw_range())
PolyConnectivity::ConstVertexIHalfedgeCCWRange | incoming_halfedges_ccw () const
| Returns a range of outgoing halfedges incident to the vertex (PolyConnectivity::voh_ccw_range())
PolyConnectivity::ConstVertexIHalfedgeRange | incoming_halfedges (HalfedgeHandle _heh) const
| Returns a range of outgoing halfedges incident to the vertex (PolyConnectivity::vih_range())
PolyConnectivity::ConstVertexIHalfedgeCWRange | incoming_halfedges_cw (HalfedgeHandle _heh) const
| Returns a range of incoming halfedges incident to the vertex (PolyConnectivity::vih_cw_range())
PolyConnectivity::ConstVertexIHalfedgeCCWRange | incoming_halfedges_ccw (HalfedgeHandle _heh) const
| Returns a range of incoming halfedges incident to the vertex (PolyConnectivity::vih_ccw_range())
PolyConnectivity::ConstVertexOHalfedgeRange | outgoing_halfedges () const
| Returns a range of incoming halfedges incident to the vertex (PolyConnectivity::voh_range())
PolyConnectivity::ConstVertexOHalfedgeCWRange | outgoing_halfedges_cw () const
| Returns a range of incoming halfedges incident to the vertex (PolyConnectivity::voh_cw_range())
PolyConnectivity::ConstVertexOHalfedgeCCWRange | outgoing_halfedges_ccw () const
| Returns a range of incoming halfedges incident to the vertex (PolyConnectivity::voh_ccw_range())
PolyConnectivity::ConstVertexOHalfedgeRange | outgoing_halfedges (HalfedgeHandle _heh) const
| Returns a range of incoming halfedges incident to the vertex (PolyConnectivity::voh_range())
PolyConnectivity::ConstVertexOHalfedgeCWRange | outgoing_halfedges_cw (HalfedgeHandle _heh) const
| Returns a range of incoming halfedges incident to the vertex (PolyConnectivity::voh_cw_range())
PolyConnectivity::ConstVertexOHalfedgeCCWRange | outgoing_halfedges_ccw (HalfedgeHandle _heh) const
| Returns a range of incoming halfedges incident to the vertex (PolyConnectivity::voh_ccw_range())
uint | valence () const
| Returns valence of the vertex.
bool | is_manifold () const
| Returns true iff (the mesh at) the vertex is two-manifold ?
Public Member Functions inherited from OpenMesh::SmartBaseHandle
| SmartBaseHandle (const PolyConnectivity *_mesh=nullptr)
const PolyConnectivity * | mesh () const
| Get the underlying mesh of this handle.
Public Member Functions inherited from OpenMesh::VertexHandle
| VertexHandle (int _idx=-1)
Public Member Functions inherited from OpenMesh::BaseHandle
| BaseHandle (int _idx=-1)
int | idx () const
| Get the underlying index of this handle.
bool | is_valid () const
| The handle is valid iff the index is not negative.
void | reset ()
| reset handle to be invalid
void | invalidate ()
| reset handle to be invalid
bool | operator== (const BaseHandle &_rhs) const
bool | operator!= (const BaseHandle &_rhs) const
bool | operator< (const BaseHandle &_rhs) const
void | __increment ()
void | __decrement ()
void | __increment (int amount)
void | __decrement (int amount)
Public Member Functions inherited from OpenMesh::SmartHandleStatusPredicates< SmartVertexHandle >
bool | feature () const
| Returns true iff the handle is marked as feature.
bool | selected () const
| Returns true iff the handle is marked as selected.
bool | tagged () const
| Returns true iff the handle is marked as tagged.
bool | tagged2 () const
| Returns true iff the handle is marked as tagged2.
bool | locked () const
| Returns true iff the handle is marked as locked.
bool | hidden () const
| Returns true iff the handle is marked as hidden.
bool | deleted () const
| Returns true iff the handle is marked as deleted.
Public Member Functions inherited from OpenMesh::SmartHandleBoundaryPredicate< SmartVertexHandle >
bool | is_boundary () const
| Returns true iff the handle is boundary.

## Detailed Description

Smart version of VertexHandle contains a pointer to the corresponding mesh and allows easier access to navigation methods.

The documentation for this struct was generated from the following files:

- OpenMesh/Core/Mesh/SmartHandles.hh
- OpenMesh/Core/Mesh/PolyConnectivity_inline_impl.hh